Redteams
Create a redteam run
Submits a new redteam run for execution with the provided configuration.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
Redteam to be run
id
string
required
Identifier of the red team run.
displayName
string
Name of the red-team run.
numTurns
integer
Number of simulation rounds.
attackStrategies
AttackStrategy[]
List of attack strategies or nested lists of attack strategies.
simulationOnly
boolean
Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.
riskCategories
RiskCategory[]
List of risk categories to generate attack objectives for.
applicationScenario
string
Application scenario for the red team operation, to generate scenario specific attacks.
tags
object
Red team's tags. Unlike properties, tags are fully mutable.
properties
object
Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
status
string
Status of the red-team. It is set by service and is read-only.
target
AzureOpenAIModel
required
Abstract class for target configuration.
AzureOpenAIModel
AzureOpenAIModelConfiguration
Azure OpenAI model configuration. The API version would be selected by the service for querying the model.
type
enum
required
modelDeploymentName
string
required
Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).
Responses
The request has succeeded and a new resource has been created as a result.
Body
id
string
required
Identifier of the red team run.
displayName
string
Name of the red-team run.
numTurns
integer
Number of simulation rounds.
attackStrategies
AttackStrategy[]
List of attack strategies or nested lists of attack strategies.
simulationOnly
boolean
Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.
riskCategories
RiskCategory[]
List of risk categories to generate attack objectives for.
applicationScenario
string
Application scenario for the red team operation, to generate scenario specific attacks.
tags
object
Red team's tags. Unlike properties, tags are fully mutable.
properties
object
Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
status
string
Status of the red-team. It is set by service and is read-only.
target
AzureOpenAIModel
required
Abstract class for target configuration.
AzureOpenAIModel
AzureOpenAIModelConfiguration
Azure OpenAI model configuration. The API version would be selected by the service for querying the model.
type
enum
required
modelDeploymentName
string
required
Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).
Request
POST /redTeams/runs:run HTTP/1.1
Response
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json